Subject: Re: Milkweed--where to find?

From: [email-masked] (Brian Korbelik)
Date: 8 Mar 1995 21:31:49 GMT

>[email-masked] () wrote:
>>
>> I would like to know where Milkweed can be obtained?  I work at a garden 
>> center and none of my plant material suppliers have it.  Can someone give 
>> me the botanical name?  I can't find it in the most basic garden books!  
>> Sunset is useless, much to my surprise.  Thanks in advance.
>> 

The Theodore Payne Foundation has seed for Asclepias eriocarpa
"Indian Milkweed" and they also have plants of Asclepias californica
but don't know if they have seed for it. The eriocarpa is a cream
color.

The Theodore Payne Foundation
10459 Tuxford Street
Sun Valley, CA 91352

Telephone and Fax: 818-768-1802

The folks there are very knowledgable and helpful.

Brian Korbelik